Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.adapter.fwd
Class ForwardInitializer

    java.lang.Object
      |
      +--org.omg.CORBA.LocalObject
            |
            +--org.openorb.adapter.fwd.ForwardInitializer

All Implemented Interfaces:
  FeatureInitializer, IDLEntity, Object, ORBInitializer, ORBInitializerOperations, java.io.Serializable

public class ForwardInitializer
extends LocalObject
implements FeatureInitializer, ORBInitializer

This is the initializer for the forward adapter.

Author:
  Unknown
See Also:
  Serialized Form

Constructor Summary
`ForwardInitializer()`

Method Summary
`void` | `init(ORBInitInfo orbinfo, FeatureInitInfo featureinfo)` This is called immediatly after any pre_init interception points in ORBInitializers.
`void` | `post_init(ORBInitInfo info)` Operation post_init
`void` | `pre_init(ORBInitInfo info)` Operation pre_init

Methods inherited from class org.omg.CORBA.LocalObject
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_interface, _get_policy, _hash, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_policy_override, validate_connection`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.omg.CORBA.Object
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_interface, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Constructor Detail

### ForwardInitializer

    public ForwardInitializer()

Method Detail

### pre_init

    public void pre_init(ORBInitInfo info)

  Description copied from interface: `ORBInitializerOperations`
  Operation pre_init
  Specified by:
    `pre_init` in interface `ORBInitializerOperations`

### init

    public void init(ORBInitInfo orbinfo,
                     FeatureInitInfo featureinfo)

  Description copied from interface: `FeatureInitializer`
  This is called immediatly after any pre_init interception points in ORBInitializers. The orb reference available from the FeatureInitInfo should be treated with care, it can not be used for any request functions or for creating object references.
  Specified by:
    `init` in interface `FeatureInitializer`

### post_init

    public void post_init(ORBInitInfo info)

  Description copied from interface: `ORBInitializerOperations`
  Operation post_init
  Specified by:
    `post_init` in interface `ORBInitializerOperations`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD